Has someone tried to run irb on Ruby.NET? I tried but I just got this
error message:

PS D:\Projects\Ruby.NET\Bin> .\RubyCompiler  -I
C:\Programmi\Ruby\lib\ruby\1.8\
C:\Programmi\Ruby\lib\ruby\1.8\launch.rb

Error: Ruby.RubyException: Use Ruby 1.1
   at Ruby.Compiler.AST.PROGRAM.ExecuteInit(Assembly Assembly, Frame
caller)
   at Ruby.Compiler.AST.PROGRAM.ExecuteInit(PEFile Assembly, Frame
caller)
   at Ruby.Methods.rb_f_load.Call1(Object recv, Frame caller, Proc
block, Object fname)
   at Ruby.Methods.rb_f_require.Call1(Object recv, Frame caller, Proc
block, Object fname)
   at Ruby.Eval.CallPrivate1(Object recv, Frame caller, String
methodId, Proc block, Object arg1)
   at launch.Init(Object recv, Frame caller)
   at launch.Main(String[] args)

launch.rb code taken from irb.bat script:

#!/bin/ruby

require "irb"

if __FILE__ == $0
  IRB.start(__FILE__)
else
  # check -e option
  if /^-e$/ =~ $0
    IRB.start(__FILE__)
  else
    IRB.setup(__FILE__)
  end
end




I use Windows XP SP2, .NET 2.0 and ruby 1.8.

any idea?